<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Belaja Vue js form </title>
</head>
<body>

    <div id="app">
  
        <form action="">

            <input type="text" name="name" id="" v-bind:value="name" v-on:input="name=$event.target.value" /><br>
            {{name}}
            
            <br>

            <input type="text" name="name" id="" v-model:value="lastName"  /><br>
            {{lastName}}

            <br>
            <br>
            <span>Multiline message is:</span>
            <p style="white-space: pre-line;">{{ message }}</p>
            <br>
            <textarea v-model="message" placeholder="add multiple lines"></textarea>
            <br>
            <br>
            <input type="checkbox" id="checkbox" v-model="checked">
            <label for="checkbox">{{ checked }}</label>
            <br>
            <br>
            <input type="checkbox" id="jack" value="Jack" v-model="checkedNames">
            <label for="jack">Jack</label>
            <input type="checkbox" id="john" value="John" v-model="checkedNames">
            <label for="john">John</label>
            <input type="checkbox" id="mike" value="Mike" v-model="checkedNames">
            <label for="mike">Mike</label>
            <br>
            <span>Checked names: {{ checkedNames }}</span>
            <br>
            <br>
            <input type="radio" id="one" value="One" v-model="picked">
            <label for="one">One</label>
            <br>
            <input type="radio" id="two" value="Two" v-model="picked">
            <label for="two">Two</label>
            <br>
            <span>Picked: {{ picked }}</span>
            <br>
            <br>

            <select v-model="selected">
                <option disabled value="">Please select one</option>
                <option>A</option>
                <option>B</option>
                <option>C</option>
              </select>
              <span>Selected: {{ selected }}</span>


              <br>
              <br>
              <select v-model="selected">
                <option v-for="option in options" v-bind:value="option.value">
                  {{ option.text }}
                </option>
              </select>
              <span>Selected: {{ selected }}</span>
              <br>
              <br>

              <input type="text" v-model.lazy="msg"/> <br>

              {{msg}}


              <input type="number" v-model.number="age"/> <br>

              {{age}}


              <input type="text" v-model.trim="word"/> <br>

              {{word}}
          
          
                    

        </form>

  </div>

    

  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
          name:"hamzan",
          lastName:"",
          message:'',
          checked:false,
          checkedNames:[],
          picked:"",
          selected:'A',
          options:[
              
                { text: 'One', value: 'A' },
                { text: 'Two', value: 'B' },
                { text: 'Three', value: 'C' }
              
          ],

          msg:'',
          age:'',
          word:''
      
      }
      
  })
  </script>
    
</body>
</html>